* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
a{
    text-decoration: none;
    color:black;
}

html, body {
    height: 100%;
    font-family: 'Montserrat', sans-serif;
}

.background-light-back{
    background-image: linear-gradient(to right bottom, #6ae06a, #add8e6);
    background-size: cover; 
    background-attachment: fixed;
}
.background-light{
    background-image: linear-gradient(to right bottom, #add8e6, #6ae06a);
    background-size: cover;
    background-attachment: fixed;
    animation: 3s linear infinite alternate changeColor; 
    min-height: 100vh;
}
.background-container{
    display: flex;
    flex-direction: column;
}

@keyframes changeColor {
    0% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 1), rgba(106, 224, 106, 1));
    }
    4% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.96), rgba(106, 224, 106, 0.96));
    }
    8% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.92), rgba(106, 224, 106, 0.92));
    }
    12% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.88), rgba(106, 224, 106, 0.88));
    }
    16% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.84), rgba(106, 224, 106, 0.84));
    }
    20% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.8), rgba(106, 224, 106, 0.8));
    }
    24% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.76), rgba(106, 224, 106, 0.76));
    }
    28% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.72), rgba(106, 224, 106, 0.72));
    }
    32% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.68), rgba(106, 224, 106, 0.68));
    }
    36% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.64), rgba(106, 224, 106, 0.64));
    }
    40% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.6), rgba(106, 224, 106, 0.6));
    }
    44% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.56), rgba(106, 224, 106, 0.56));
    }
    48% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.52), rgba(106, 224, 106, 0.52));
    }
    52% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.48), rgba(106, 224, 106, 0.48));
    }
    56% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.44), rgba(106, 224, 106, 0.44));
    }
    60% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.4), rgba(106, 224, 106, 0.4));
    }
    64% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.36), rgba(106, 224, 106, 0.36));
    }
    68% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.32), rgba(106, 224, 106, 0.32));
    }
    72% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.28), rgba(106, 224, 106, 0.28));
    }
    76% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.24), rgba(106, 224, 106, 0.24));
    }
    80% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.2), rgba(106, 224, 106, 0.2));
    }
    84% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.16), rgba(106, 224, 106, 0.16));
    }
    88% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.12), rgba(106, 224, 106, 0.12));
    }
    92% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.08), rgba(106, 224, 106, 0.08));
    }
    96% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0.04), rgba(106, 224, 106, 0.04));
    }
    100% {
        background-image: linear-gradient(to right bottom, rgba(173, 216, 230, 0), rgba(106, 224, 106, 0));
    }
}
/*****************Generalization*****************/
.btn{
    margin: 2rem;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
    background-color: #3EC33E;
    color: white;
}
.info-box{
    padding: 70px 20px;
    text-align: center;
}
.info-box > h2{
    margin-bottom: 40px;
    display: block;
}
.info-card{
    background-color: white;
    padding: 20px;
    margin-bottom: 30px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}
.info-card > h3, .info-card > p{
    margin: 0px;
}
/*****************Generalization*****************/


/*********************Navbar*********************/
.navbar{
    color: white;
    position: sticky;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 0.5rem;
    transition: background-color 0.3s ease;
}
.navbar:hover{
    background-color: #00000060;
}
.nav-img{
    height: 75px;
    width: 80px;
    border-radius: 50%;
}
.logo{
    color: white;
    display: flex;
    align-items: center;
    gap: 20px;
    height: 5rem;
}
.logo > h2{
    font-weight: 700;
    text-shadow: 0 0 3px black, 0 0 5px black;
}
.nav{
    display: flex;
    align-items: center;
    gap: 1rem;
    height: 5rem;
    padding: 0rem 1rem;
}
.nav > li{
    text-align: center;
    list-style: none;
}
.nav-item{
    color: white;
    display: inline-block;
    font-size: 1.3rem;
    text-shadow: 0 0 3px black, 0 0 5px black;
    padding: 1rem;
    border: 2px solid transparent;
    transition: border 0.3s ease;
}
.nav-item:hover{
    border: 2px solid white;
    border-radius: 5px;
}
.login-register-btn{
    color: white;
    background-color: #3EC33E;
    display: inline-block;
    font-size: larger;
    padding: 1rem;
    border: 2px solid transparent;
    transition: border 0.3s ease;
}
.login-register-btn:hover{
    background-color: #003a00;
}
/*********************Navbar*********************/


/*********************Header*********************/
.header{
    /* background-image: linear-gradient(to right bottom, lightblue, lightgreen); */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    text-align: center;
}

.hero > h1{
    color: white;
    font-size: 5rem;
    margin: 1rem;
    animation: slideIn 1s ease-out backwards;
    
}
.hero > h2{
    color: white;
    font-size: 2rem;
    font-weight: 400;
    margin: 1rem;
    animation: slideIn 1.5s ease-out backwards;
}
.hero > a{
    background-color: white;
    color: #3EC33E;
    font-size: 2rem;
    animation: slideIn 2s ease-out backwards;
    display: inline-block;
    padding: 1rem;
    border: 2px solid transparent;
    text-decoration: none;
    transition: border 0.3s ease;
}
.hero > a:hover{
    background-color: rgba(230, 230, 230);
    color: #3EC33E;
}

/*********************Header*********************/


/********************Features********************/
@keyframes slideIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes smoothBig {
    to {
        font-size: 1.7rem;
    }
}

/********************Features********************/


/********************Opportunities********************/
.opportunities{
    display: flex;
    justify-content: center;
    width: 90%;
    margin-right: 5%;
    margin-left: 5%;
}
.feature-card{
    margin: 1rem;
    border-radius: 2rem;
}
.feature-card > img{
    width: 25vw;
    border-radius: 2rem;
}
.feature-card p{
    padding-top: 0.5rem;
    font-size: 1.1rem;
}
/********************Opportunities********************/


/******************Testimonials******************/
.info-box > button{
    background-color:rgb(40, 168, 46);
    font-size: 1.5rem; 
    padding: 18px 28px;
 }
 .info-box > button:hover{
    background-color: rgb(0, 58, 0);
    color: white;
 }
.testimonial-card{
    width: 50%;
    margin-right: 25%;
    margin-left: 25%;
    border-radius: 2rem;
}
.testimonial-card > ul{
    display: grid;
    grid-template: 1fr 1fr /1fr 1fr 1fr;
    justify-items: center;
    list-style:upper-roman;
}
.testimonial-card > ul > li{
    padding: 0.3rem;
    margin: 0.5rem;
    font-size: 1.2rem;
}
.testimonial-card > ul > li > a{
    text-decoration: none;
    color: #003a00;
}
.testimonial-card > ul > li > a:hover{
    text-decoration:underline;
    color: #003a00;
}
.university-title{
    font-size: 1.5rem;
}
.university-title a{
    text-decoration: none;
    color: black;
}
.university-title a:hover{
    text-decoration: dotted;
    color: rgba(0, 0, 0);
    animation: smoothBig 0.05s ease-in-out both;
}

/******************Testimonials******************/


/*********************Contact********************/
.contact-form{
    max-width: 600px;
    margin: auto;
}
.contact-form-inputs{
    box-sizing: border-box;
    display: block;
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid darkgrey;
    border-radius: 5px;
}
.contact-btn{
    box-sizing: border-box;
    background-color: #90ee90;
    color: white;
    border: none;
    width: 100%;
    margin: 0px;
}
.contact-btn:hover {
    background-color: #003a00;
}
/*********************Contact********************/



/*********************Welcome********************/

#welcome .welcome-background {
    margin: 10%;
    background-color: rgba(128, 128, 128, 0.4);
    border-radius: 1.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;

}

#welcome .welcome-background p{
    padding: 5%;
    font-size: 2rem;
    text-align: center;
}

.faq-button{
    align-self: center;
    margin-bottom: 2rem;
    font-size: 1.5rem;
}



/*********************Welcome********************/



/*********************FAQ********************/
.faq{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 5%;
    margin-bottom: 5%;
    padding-bottom: 5%;
    gap: 1rem;
}

.faq-item{
    background-color: white ;
    border: 1px black solid;
    border-radius: 2rem;
    width: 60%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.faq-item h1{
    color: black;
    font-size: 2rem;
    padding: 1rem;
}

.q-button{
    width: 100%;
    border-radius: 2rem;
    border-style: none;
}
.q-button:hover{
    background-color: rgba(128, 128, 128, 0.342);
}

.faq-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease-out;
    width: 100%;
    
}

.faq-content.show {
    max-height: 200px;
    padding: 0.5rem;
    margin: 2rem;
    overflow-y: auto;

}
.faq-content p {
    max-height: 200px;
    margin: 0;
    padding-left: 1rem;
    padding-right: 1rem;
    font-size: 1.2rem;
    text-align: left;
    align-self: center;
}



/*********************FAQ********************/


/*********************Footer*********************/
.content {
    flex: 1;
}

footer {
    /* background-color: #333; */
    bottom: 0;  
    color: #fff;
    padding: 20px 0;
    text-align: center;
    margin-top: 5svh;

}

footer .container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

footer p {
    margin: 0;
}

.footer-links {
    list-style: none;
    padding: 0;
    margin: 10px 0 0;
    display: flex;
    justify-content: center;
}

.footer-links li {
    margin: 0 15px;
}

.footer-links a {
    color: #fff;
    text-decoration: none;
}

.footer-links a:hover {
    text-decoration: underline;
}
/*********************Footer*********************/




/************************************************/

.microsoft-login-link{
    display: flex;
    justify-content: center;
    align-items: center;
}
.microsoft-login {
    background-color: #4CAF50;
    color: white;
    margin: 1rem;
    padding: 12px 24px;
    border: none;
    border-radius: 1rem;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: auto
}

.microsoft-login img {
    margin-right: 10px;
    width: 20px;
    height: 20px;
}

.microsoft-login:hover {
    background-color: #45a049;
}
.error{
    color: red;
    font-size: 2rem;
}

.login-form{
    background-position: center;
    background-repeat: no-repeat;
    background:url("../static/background.jpg");
    
    display: flex;
    flex-direction: column;
    background-size: cover;
    justify-content: center;
    align-items: center;
}
.auth-logo{
    border-radius: 30%;
    width: 5vw;
    height: auto;
    color: white;
}
.logo-container{
    top: 1rem;
    left: 1rem;
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    margin-bottom: 1rem;
}
.logo-container h1{
    color: white;
}
.wrapper { 
    overflow: hidden; 
    margin-top: 5%;
    width: auto;
    height: auto;
    display: grid;
    align-items: center;
    justify-content: center;
    background-color: rgba(255, 255, 255, 0.8);
    padding: 2rem;
    margin: 2rem; 
    border-radius: 2rem; 
} 
.wrapper .form-container{
    display: flex;
    flex-direction: column;
    width: 100%;
}
.form-container form{
    display: flex;
    flex-direction: column;
    align-items: center;
}
  
.wrapper .slide-controls { 
    position: relative; 
    display: flex; 
    border-radius: 2rem; 
    overflow: hidden; 
    justify-content: space-evenly; 
    border: 1px solid rgba(0, 0, 0, 0.756); 
    padding: 0.7rem;
} 
  
.slide-controls .slide { 
    height: 100%; 
    width: 100%; 
    color: #fff; 
    font-size: 2rem; 
    font-weight: 500; 
    text-align: center; 
    line-height: 48px; 
    cursor: pointer; 
    z-index: 1; 
    transition: all 0.6s ease; 
} 
  
.slide-controls label.signup { 
    color: #000; 
} 
  
.slide-controls .slider-tab { 
    position: absolute; 
    align-self: center;
    height: 100%; 
    width: 50%; 
    left: 0; 
    z-index: 0; 
    border-radius: 0.7rem; 
    background: rgba(0, 128, 0, 0.4); 
    transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55); 
} 
  
input[type="radio"] { 
    display: none; 
} 
  
.input-field{
    font-size: 1.7rem;
    padding: 0.5rem;
    margin: 0.5rem;
    border-radius: 1rem;
    width: 100%;
}
.button-field{
    /* background: rgba(0, 128, 0); */
    background:#4CAF50;
    font-size: 1.7rem;
    padding: 0.7rem;
    border-radius: 2rem;
    

}
.button-field:hover{
    background: rgba(0, 128, 0, 0.635);
}

#submit,#register{
    width: 100%;
}
#signup:checked~.slider-tab { 
    left: 50%; 
} 
#login:checked~.slider-tab { 
    right: 50%; 
} 
  
#signup:checked~label.signup { 
    color: #fff; 
    cursor: default; 
    user-select: none; 
} 
  
#signup:checked~label.login { 
    color: #000; 
} 
  
#login:checked~label.signup { 
    color: #000; 
} 
  
#login:checked~label.login { 
    cursor: default; 
    user-select: none; 
} 
/************************************************/
/* universities */
.universities{
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 60%;
    margin-top: 1rem;
    margin-right: 20%;
    margin-left: 20%;
    height: auto;
}
.no-university-message{
    align-self: center;
}
.university{
    border: 2px solid black;
    border-radius: 2rem;
    background-image: url("../static/campus-photo.jpg");
    background-size:cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    flex-direction: row;
    align-items: center;
    text-align: right;
    justify-content: space-between;
    padding: 1rem;
    padding-right: 3rem;
    padding-left: 3rem;
    margin: 1rem;
    
}

.university h1{
    font-size: 2rem;
    text-decoration: none;
    color: white;
    text-shadow: 
        -1px -1px 0 #000, 
        1px -1px 0 #000, 
        -1px 1px 0 #000, 
        1px 1px 0 #000,
        -2px -2px 0 #000,
        2px -2px 0 #000,
        -2px 2px 0 #000,
        2px 2px 0 #000;
}

.university img{
    width: 10%;
    height: auto;
    border-radius: 100%;
}

#university-add{
    /* display: none; */
    /* inline olarak yazıldı */
    position: relative;
    align-self:center;
    width: 70%;
    height: auto;
    margin-top: 5svh;
    border: 2px black solid;
    padding: 2rem;
    border-radius: 2rem;
    background-color: rgba(255, 255, 255, 0.4);
}
#university-add form{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.uni-button{
    width: 40%;
    font-size: 2rem;
    align-self: center;
}
/* courses */
.courses-box{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
}

.courses {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 2rem;
    padding: 2rem;
    width: 80%;
    box-sizing: border-box; /* Ensure padding is included in the width */
}

.course {
    height: fit-content;
    text-align: center;
    border: 2px solid black;
    padding: 1rem;
    border-radius: 3rem;
    background-color: rgba(255, 255, 255, 0.5);
}


.course a {
    text-decoration: none;
    color: black;
}
#course-add{
    /* display: none; */
    /* inline olarak yazıldı */

    position: relative;
    align-self:center;
    width: 60%;
    height: auto;
    margin-top: 5svh;
    border: 2px black solid;
    padding: 2rem;
    border-radius: 2rem;
    background-color: rgba(255, 255, 255, 0.4);
    

}
#course-add form{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.no-course-message {
    display: none;
    text-align: center;
    color: red;
    margin-top: 20px;
}

/* search bar */
.container {
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
    margin-top: 10svh;
    margin-bottom: 5svh;
    width: 40%;
}

.search-container {
    border-radius: 2rem;
    position: relative;
    height: 55px;
    width: 100%;
    padding: 0 20px;
    gap: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #fff;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.445);
}

.search-container .input-search {
    width: 100%;
    font-size: 1.5rem;
    border: none;
    outline: none;
}

.search-container .results {

    display: none;

    position: absolute;
    top: 55px;
    left: 0;
    max-height: 250px;
    margin-left: 5%;
    margin-right: 5%;
    width: 90%;
    opacity: 0;
    pointer-events: none;
    overflow-y: auto;
    background-color: #fff;
    border-radius: 0.5rem;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.445);
}

.search-container .results::-webkit-scrollbar {
    width: 5px;
    height: 8px;
    background-color: #4444444b;
}
  
.search-container .results::-webkit-scrollbar-thumb {
    background-color: #444;
}

.search-container .results.active {
    padding: 10px;
    opacity: 1;
    pointer-events: auto;
}

.search-container .suggestions li {
    display: none;
    width: 100%;
    list-style: none;
    padding: 8px 12px;
    cursor: pointer;
    border-radius: 3px;
    transition: all 0.3s ease;
}

.search-container .results.active .suggestions li {
    display: block;
}

.search-container .suggestions li:hover {
    background: #4444441a;
}

.search-container .icon svg {
    fill: #644bff;
}

/* files */
#file-add{
    display: none;
    position: relative;
    align-self:center;
    width: 70%;
    height: auto;
    margin-top: 5svh;
    border: 2px black solid;
    padding: 2rem;
    border-radius: 2rem;
    background-color: rgba(255, 255, 255, 0.4);
}
#file-add form{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
#file-add > form > input[type=file]:nth-child(4){
    align-self: center;
    margin: 1rem;
}

.file-table thead tr th{
    width: 20%;
    font-size: 1.5rem;
    margin: 0.5rem;
    padding: 0.5rem;
}
body > div.header > table > thead > tr > th:nth-child(1){
    width: 30%;
    height: auto;
}
.file-table tbody tr td{
    font-size:1.5rem ;
    margin: 0.5rem;
    padding: 0.5rem;
}

.file-table{
    width: 80%;
    border: 1px solid black;
    border-spacing: 0px;
}
th, td{
    border: 1px solid black;
}
tr{
    height: 30vh;
}
body > div.header > table > tbody > tr:nth-child(1) > td:nth-child(1){
    width: 20%;
    padding-right: 0;
    padding-left: 0;
}
.files-name-div{
    display: flex;
    justify-content: center;
}
.files-name-long{
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis; 
    max-width: 30vw;
}

/************************Confirm email**************************/
.confirm-email-container{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}
.confirm-email-container-box{
    background-color: #ffffff90;
    width: 75vw;
    padding: 2rem;
    border-radius: 20px;
}
.text-email-1{
    text-align: center;
    font-size: 2.5rem;
    font-family: 'Montserrat', sans-serif;
}
.text-email-2{
    text-align: center;
    color: red;
    font-size: 1.75rem;
    font-family: 'Montserrat', sans-serif;
}
/************************Confirm email**************************/

/************************Files HTML**************************/
.file-box{
    margin: 5vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.file-link{
    word-break: keep-all;
}
.download-icon{
    width:4rem;
    background-color: white;
    padding: 0.2rem;
    height:auto;
    border-radius: 100%;
}

.file-box .file-table tbody tr td:last-child{
    align-items: center;
}

/************************Files HTML**************************/
.error-flask{
    background-color: #d4edda;
    border-radius: 20px;
    width: fit-content;
    text-align: center; 
    font-size: 2rem;
    padding: 10px;
    margin: 2rem;
    margin-left: auto;
    margin-right: auto;
}
/************************profile HTML**************************/
.profile-section {
    display: grid;
    grid-template-columns: 1fr 2fr;
    margin-left: 1rem;
    margin-right: 1rem;
    padding: 1rem;
    margin-top: 2rem;
}
.profile-container {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    justify-content: center;
    text-align: center;
}
.profile-container button{
    display: block;
    border-radius: 100%;
}
.btn-img {
    display: inline-block;
    border: none;
    background-color: #00000000;
}
.profile-container > button > img{
    margin: 0 auto;
    height: 15rem;
    border-radius: 100%;
}
.profile-container > button > img:hover{
    opacity: 60%;
}
.profile-container .stats{
    font-size: 2rem;
}
.my-files{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-height: 71vh;
    overflow-y: scroll;
    background-color: #ffffffbf;
    border-radius: 2rem 0rem 0rem 2rem;
}
.profile-files{
    display: flex;
    justify-content: space-around;
}
.profile-files1{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    text-align: center;
    font-weight: 600;
}
.profile-files2{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 5rem;
}
#mypopoverprofile{
    margin: auto;
    width: 60vw;
}

.mypopoverprofilein{
    display: grid;
    grid-template: repeat(2, 1fr)/ repeat(5, 1fr);
    height: 100%;
    gap: 1rem;
    padding: 2rem;
    
}
.mypopoverprofilein img{
    width: 100%;
    object-fit: cover;
    border-radius: 100%;
}
.mypopoverprofilein img:hover{
    border: 5px solid black;
    cursor: pointer;
}

.download-btn{
    background-color: #00000000;
    border: none;
    cursor: pointer;
    padding: 0.5rem;
    font-size: 1.5rem;
}
.filespop{
    margin: auto;
    gap: 1rem;
    padding: 2rem;
}
#mypopoverin{
    display: flex;
    gap: 3rem;
    justify-content: center;
}

.background-light-back-error{
    background-image: linear-gradient(to right bottom, #6ae06a, #add8e6);
    background-size: cover; 
    background-attachment: fixed;
    display: none;
    z-index: 2;
}
.background-light-error{
    background-image: linear-gradient(to right bottom, #add8e6, #6ae06a);
    background-size: cover;
    background-attachment: fixed;
    animation: 3s linear infinite alternate changeColor; 
    min-height: 100vh;
    display: none;
    z-index: 2;
}
.text-error{
    display: none;
    z-index: 3;
    font-size: 3rem;
    padding: 3rem;
    text-align: center;
}

.profile-btn{
    background-color: #00000000;
    border: none;
    cursor: pointer;
}

@media (max-width: 1068px){
    .background-light-back-error{
        display: block;
    }
    .background-light-error{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .text-error{
        display: inline;
    }
    .hidder{
        display: none;
    }
}
/************************Requests HTML**************************/
.requests-window{
    margin: 2rem;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}
.requests{
    display: flex;
    flex-direction: column;
    
    padding: 0.5rem;
    border: #000000 solid 2px;
    border-radius: 1rem;
    background-color:rgb(216, 216, 216);
    min-width: 50%;
}
.request-div{
    margin: 10px;
    padding: 0.5rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    align-self: center;
    gap: 1rem;
}

.request-btn{
    margin: 5px;
    padding: 4px;
    align-self: center;
    width: 20%;
    border-radius: 1rem;
}

.request-buttons{
    display: flex; 
    flex-direction: row; 
    justify-content: center; 
    align-self: center;
    gap: 3rem;
}

.request-btn > p{
    font-size: 1.3rem;
}
.request-file-upload{
    font-size: 1rem;
    padding: 5px;

}
.requests-window-title{
    display: flex;
    flex-direction: row;
    justify-content:center ;
    align-self: center;
    margin: 10px;
    padding: 5px;
}